umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Protected Member Functions | Private Attributes | Static Private Attributes | List of all members
SelectOperationPage Class Reference

A dialog page to select an operation. More...

`#include <selectoperationpage.h>`

Inheritance diagram for SelectOperationPage:

## Public Slots
void | slotAutoIncrementChecked (bool state)
void | slotNewOperation ()
void | slotIndexChanged (int index)
void | slotTextChanged (const QString &text)

## Signals
void | enableButtonOk (bool state)

## Public Member Functions
| SelectOperationPage (UMLView *parent, UMLClassifier *c, LinkWidget *widget, bool enableAutoIncrement=true)
| ~SelectOperationPage ()
QString | getOpText ()
bool | isClassOp () const
QString | getSeqNumber ()
bool | autoIncrementSequence ()
void | setAutoIncrementSequence (bool state)
void | setSeqNumber (const QString &num)
void | setCustomOp (const QString &op)
bool | setClassOp (const QString &op)
void | setupDialog ()
bool | apply ()
Public Member Functions inherited from DialogPageBase
| DialogPageBase (QWidget *parent)
virtual | ~DialogPageBase ()
virtual bool | isModified ()

## Protected Member Functions
void | setupOperationsList ()
Protected Member Functions inherited from DialogPageBase
virtual void | keyPressEvent (QKeyEvent *event)

## Private Attributes
QGroupBox * | m_pOpGB
KComboBox * | m_pOpCB
QLabel * | m_pSeqL
QLineEdit * | m_pOpLE
QLineEdit * | m_pSeqLE
QLabel * | m_pCustomRB
QLabel * | m_pOpRB
QPushButton * | m_newOperationButton
QCheckBox * | m_pOpAS
QString | m_Text
DocumentationWidget * | m_docWidget
int | m_nOpCount
int | m_id
| takes on the value OP or CUSTOM according to what the user selected
UMLView * | m_pView
UMLClassifier * | m_classifier
LinkWidget * | m_widget
bool | m_enableAutoIncrement

## Static Private Attributes
static const int | OP = 0
static const int | CUSTOM = 1

## Additional Inherited Members
Protected Attributes inherited from DialogPageBase
bool | m_isModified

## Detailed Description

A dialog page to select an operation.

A dialog page used to select an operation.

Author
  Paul Hensgen phens.nosp@m.gen@.nosp@m.techi.nosp@m.e.co.nosp@m.m Bugs and comments to umbre.nosp@m.llo-.nosp@m.devel.nosp@m.@kde.nosp@m..org or https://bugs.kde.org

## Constructor & Destructor Documentation

## ◆ SelectOperationPage()

SelectOperationPage::SelectOperationPage | ( | UMLView * | parent,
|  | UMLClassifier * | c,
|  | LinkWidget * | widget,
|  | bool | enableAutoIncrement = true )

Constructs a SelectOperationPage instance.

Parameters

  parent | The parent to this instance.
  c | The classifier to get the operations from.
  widget | The LinkWidget with which the operation is associated on diagram
  enableAutoIncrement | Flag to enable auto increment checkbox

## ◆ ~SelectOperationPage()

SelectOperationPage::~SelectOperationPage | ( |  | ) |

Standard destructor.

## Member Function Documentation

## ◆ apply()

bool SelectOperationPage::apply | ( |  | ) |

apply changes to the related instamces

Returns
  true - success
  false - failure

## ◆ autoIncrementSequence()

bool SelectOperationPage::autoIncrementSequence | ( |  | ) |

Return the flag for auto increment sequence numbering.

## ◆ enableButtonOk

void SelectOperationPage::enableButtonOk | ( | bool | state | ) |
| signal

## ◆ getOpText()

QString SelectOperationPage::getOpText | ( |  | ) |

Returns the operation to display.

Returns
  The operation to display.

## ◆ getSeqNumber()

QString SelectOperationPage::getSeqNumber | ( |  | ) |

Returns the sequence number for the operation.

Returns
  Returns the sequence number for the operation.

## ◆ isClassOp()

bool SelectOperationPage::isClassOp | ( |  | ) | const

Return whether the user selected a class operation or a custom operation.

Returns
  True if user selected a class operation, false if user selected a custom operation

## ◆ setAutoIncrementSequence()

void SelectOperationPage::setAutoIncrementSequence | ( | bool | state | ) |

Set the flag for auto increment sequence numbering.

Parameters

  state | the state of the flag

## ◆ setClassOp()

bool SelectOperationPage::setClassOp | ( | const QString & | op | ) |

Set the class operation text.

Parameters

  op | The operation to set as the class operation.

Returns
  false if no such operation exists.

## ◆ setCustomOp()

void SelectOperationPage::setCustomOp | ( | const QString & | op | ) |

Set the custom operation text.

Parameters

  op | The operation to set as the custom operation.

## ◆ setSeqNumber()

void SelectOperationPage::setSeqNumber | ( | const QString & | num | ) |

Set the sequence number text.

Parameters

  num | The number to set the sequence to.

## ◆ setupDialog()

void SelectOperationPage::setupDialog | ( |  | ) |

internal setup function

## ◆ setupOperationsList()

void SelectOperationPage::setupOperationsList | ( |  | ) |
| protected

Setup dialog operations list.

## ◆ slotAutoIncrementChecked

void SelectOperationPage::slotAutoIncrementChecked | ( | bool | state | ) |
| slot

Handle auto increment checkbox click.

## ◆ slotIndexChanged

void SelectOperationPage::slotIndexChanged | ( | int | index | ) |
| slot

Handle combox box changes.

## ◆ slotNewOperation

void SelectOperationPage::slotNewOperation | ( |  | ) |
| slot

Handle new operation button click.

## ◆ slotTextChanged

void SelectOperationPage::slotTextChanged | ( | const QString & | text | ) |
| slot

Handle custom line edit changes.

## Member Data Documentation

## ◆ CUSTOM

const int SelectOperationPage::CUSTOM = 1
| static private

## ◆ m_classifier

UMLClassifier* SelectOperationPage::m_classifier
| private

## ◆ m_docWidget

DocumentationWidget* SelectOperationPage::m_docWidget
| private

## ◆ m_enableAutoIncrement

bool SelectOperationPage::m_enableAutoIncrement
| private

## ◆ m_id

int SelectOperationPage::m_id
| private

takes on the value OP or CUSTOM according to what the user selected

## ◆ m_newOperationButton

QPushButton* SelectOperationPage::m_newOperationButton
| private

## ◆ m_nOpCount

int SelectOperationPage::m_nOpCount
| private

## ◆ m_pCustomRB

QLabel* SelectOperationPage::m_pCustomRB
| private

## ◆ m_pOpAS

QCheckBox* SelectOperationPage::m_pOpAS
| private

## ◆ m_pOpCB

KComboBox* SelectOperationPage::m_pOpCB
| private

## ◆ m_pOpGB

QGroupBox* SelectOperationPage::m_pOpGB
| private

## ◆ m_pOpLE

QLineEdit* SelectOperationPage::m_pOpLE
| private

## ◆ m_pOpRB

QLabel * SelectOperationPage::m_pOpRB
| private

## ◆ m_pSeqL

QLabel* SelectOperationPage::m_pSeqL
| private

## ◆ m_pSeqLE

QLineEdit * SelectOperationPage::m_pSeqLE
| private

## ◆ m_pView

UMLView* SelectOperationPage::m_pView
| private

## ◆ m_Text

QString SelectOperationPage::m_Text
| private

## ◆ m_widget

LinkWidget* SelectOperationPage::m_widget
| private

## ◆ OP

const int SelectOperationPage::OP = 0
| static private

The documentation for this class was generated from the following files:

- umbrello/dialogs/pages/selectoperationpage.h
- umbrello/dialogs/pages/selectoperationpage.cpp